org.apache.ignite.internal.visor.cache

## Class VisorCacheMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheMetrics

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VisorCacheMetricsV2

    public class VisorCacheMetrics
    extends Object
    implements Serializable

Data transfer object for `CacheMetrics`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheMetrics()`

### Method Summary

Methods
`float` `avgPutTime()`
`float` `avgReadTime()`
`float` `avgRemovalTime()`
`float` `avgTxCommitTime()`
`float` `avgTxRollbackTime()`
`int` `commitsPerSecond()`
`int` `dhtEvictQueueCurrentSize()`
`long` `evictions()`
`VisorCacheMetrics` `from(IgniteEx ignite, String cacheName)`
`long` `hits()`
`int` `keySize()`
`long` `misses()`
`CacheMode` `mode()`
`String` `name()`
`void` `name(String name)` Sets cache name.
`long` `puts()`
`int` `putsPerSecond()`
`VisorCacheQueryMetrics` `queryMetrics()`
`long` `reads()`
`int` `readsPerSecond()`
`long` `removals()`
`int` `removalsPerSecond()`
`int` `rollbacksPerSecond()`
`int` `size()`
`boolean` `system()`
`String` `toString()`
`int` `txCommitQueueSize()`
`long` `txCommits()`
`int` `txCommittedVersionsSize()`
`int` `txDhtCommitQueueSize()`
`int` `txDhtCommittedVersionsSize()`
`int` `txDhtPrepareQueueSize()`
`int` `txDhtRolledbackVersionsSize()`
`int` `txDhtStartVersionCountsSize()`
`int` `txDhtThreadMapSize()`
`int` `txDhtXidMapSize()`
`int` `txPrepareQueueSize()`
`long` `txRollbacks()`
`int` `txRolledbackVersionsSize()`
`int` `txStartVersionCountsSize()`
`int` `txThreadMapSize()`
`int` `txXidMapSize()`
`long` `writes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheMetrics

    public VisorCacheMetrics()

### Method Detail

#### from

    public VisorCacheMetrics from(IgniteEx ignite,
                         String cacheName)

Parameters:
  `ignite` - Ignite.
  `cacheName` - Cache name.
Returns:
  Data transfer object for given cache metrics.

#### name

    public String name()

Returns:
  Cache name.

#### name

    public void name(String name)

Sets cache name.

Parameters:
  `name` - New value for cache name.

#### mode

    public CacheMode mode()

Returns:
  Cache mode.

#### system

    public boolean system()

Returns:
  Cache system state.

#### reads

    public long reads()

Returns:
  Total number of reads of the owning entity (either cache or entry).

#### avgReadTime

    public float avgReadTime()

Returns:
  The mean time to execute gets

#### writes

    public long writes()

Returns:
  Total number of writes of the owning entity (either cache or entry).

#### hits

    public long hits()

Returns:
  Total number of hits for the owning entity (either cache or entry).

#### misses

    public long misses()

Returns:
  Total number of misses for the owning entity (either cache or entry).

#### txCommits

    public long txCommits()

Returns:
  Total number of transaction commits.

#### avgTxCommitTime

    public float avgTxCommitTime()

Returns:
  avgTxCommitTime

#### avgTxRollbackTime

    public float avgTxRollbackTime()

Returns:
  The mean time to execute tx rollbacks.

#### puts

    public long puts()

Returns:
  The total number of puts to the cache.

#### avgPutTime

    public float avgPutTime()

Returns:
  The mean time to execute puts.

#### removals

    public long removals()

Returns:
  The total number of removals from the cache.

#### avgRemovalTime

    public float avgRemovalTime()

Returns:
  The mean time to execute removes.

#### evictions

    public long evictions()

Returns:
  The total number of evictions from the cache.

#### txRollbacks

    public long txRollbacks()

Returns:
  Total number of transaction rollbacks.

#### readsPerSecond

    public int readsPerSecond()

Returns:
  Reads per second.

#### putsPerSecond

    public int putsPerSecond()

Returns:
  Puts per second.

#### removalsPerSecond

    public int removalsPerSecond()

Returns:
  Removes per second.

#### commitsPerSecond

    public int commitsPerSecond()

Returns:
  Commits per second.

#### rollbacksPerSecond

    public int rollbacksPerSecond()

Returns:
  Rollbacks per second.

#### size

    public int size()

Returns:
  Number of non-`null` values in the cache.

#### keySize

    public int keySize()

Returns:
  Gets number of keys in the cache, possibly with `null` values.

#### queryMetrics

    public VisorCacheQueryMetrics queryMetrics()

Returns:
  Gets query metrics for cache.

#### dhtEvictQueueCurrentSize

    public int dhtEvictQueueCurrentSize()

Returns:
  Current size of evict queue used to batch up evictions.

#### txThreadMapSize

    public int txThreadMapSize()

Returns:
  Gets transaction per-thread map size.

#### txXidMapSize

    public int txXidMapSize()

Returns:
  Transaction per-Xid map size.

#### txCommitQueueSize

    public int txCommitQueueSize()

Returns:
  Committed transaction queue size.

#### txPrepareQueueSize

    public int txPrepareQueueSize()

Returns:
  Prepared transaction queue size.

#### txStartVersionCountsSize

    public int txStartVersionCountsSize()

Returns:
  Start version counts map size.

#### txCommittedVersionsSize

    public int txCommittedVersionsSize()

Returns:
  Number of cached committed transaction IDs.

#### txRolledbackVersionsSize

    public int txRolledbackVersionsSize()

Returns:
  Number of cached rolled back transaction IDs.

#### txDhtThreadMapSize

    public int txDhtThreadMapSize()

Returns:
  DHT thread map size

#### txDhtXidMapSize

    public int txDhtXidMapSize()

Returns:
  Transaction DHT per-Xid map size.

#### txDhtCommitQueueSize

    public int txDhtCommitQueueSize()

Returns:
  Committed DHT transaction queue size.

#### txDhtPrepareQueueSize

    public int txDhtPrepareQueueSize()

Returns:
  Prepared DHT transaction queue size.

#### txDhtStartVersionCountsSize

    public int txDhtStartVersionCountsSize()

Returns:
  DHT start version counts map size.

#### txDhtCommittedVersionsSize

    public int txDhtCommittedVersionsSize()

Returns:
  Number of cached committed DHT transaction IDs.

#### txDhtRolledbackVersionsSize

    public int txDhtRolledbackVersionsSize()

Returns:
  Number of cached rolled back DHT transaction IDs.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016